### Function

# Gimp get_plug_in

since: 3.0

#### Declaration [src]

    GimpPlugIn*
    gimp_get_plug_in (
      void
    )

#### Description [src]

This function returns the plug-in’s `GimpPlugIn` instance, which is a a singleton that can exist exactly once per running plug-in.

Available since: 3.0

#### Return value

Type: `GimpPlugIn`

The plug-in’s `GimpPlugIn` singleton.

The data is owned by the called function.
The return value can be `NULL`.